MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

Modules | Data Structures | Typedefs | Enumerations
MOTOR

## Modules
| Module overview

## Data Structures
struct | _MOTOR_Params_
| Defines the motor parameters. More...

## Typedefs
typedef struct _MOTOR_Params_ | MOTOR_Params
| Defines the motor parameters. More...
typedef struct _MOTOR_Params_ | MOTOR_Params
| Defines the motor parameters. More...

## Enumerations
enum | MOTOR_Type_e { MOTOR_Type_Induction =0, MOTOR_Type_Pm, MOTOR_Type_Induction =0, MOTOR_Type_Pm }
| Enumeration for the motor types. More...
enum | MOTOR_Type_e { MOTOR_Type_Induction =0, MOTOR_Type_Pm, MOTOR_Type_Induction =0, MOTOR_Type_Pm }
| Enumeration for the motor types. More...

## Detailed Description

## Data Structure Documentation

struct _MOTOR_Params_

Defines the motor parameters.

Definition at line 80 of file 32b/motor.h.

Data Fields
float_t | Lmag_H | Defines the magnetizing inductance, H.
float_t | Lr_H | Defines the rotor inductance, H.
float_t | Ls_d_H | Defines the direct stator inductance, H.
float_t | Ls_q_H | Defines the quadrature stator inductance, H.
uint_least16_t | numPolePairs | Defines the number of pole pairs.
float_t | ratedFlux_VpHz | Defines the rated flux, V/Hz.
float_t | ratedFlux_Wb | Defines the rated flux, Wb.
float_t | Rr_d_Ohm | Defines the direct rotor resistance, Ohm.
float_t | Rr_Ohm | Defines the rotor resistance, Ohm.
float_t | Rr_q_Ohm | Defines the quadrature rotor resistance, Ohm.
float_t | Rs_d_Ohm | Defines the direct stator resistance, Ohm.
float_t | Rs_Ohm | Defines the stator resistance, Ohm.
float_t | Rs_q_Ohm | Defines the quadrature stator resistance, Ohm.
MOTOR_Type_e | type | Defines the motor type.

## Typedef Documentation

typedef struct _MOTOR_Params_ MOTOR_Params

Defines the motor parameters.

typedef struct _MOTOR_Params_ MOTOR_Params

Defines the motor parameters.

## Enumeration Type Documentation

enum MOTOR_Type_e

Enumeration for the motor types.

Enumerator
MOTOR_Type_Induction | induction
MOTOR_Type_Pm | permanent magnet
MOTOR_Type_Induction | induction
MOTOR_Type_Pm | permanent magnet

Definition at line 71 of file 32b/motor.h.

enum MOTOR_Type_e

Enumeration for the motor types.

Enumerator
MOTOR_Type_Induction | induction
MOTOR_Type_Pm | permanent magnet
MOTOR_Type_Induction | induction
MOTOR_Type_Pm | permanent magnet

Definition at line 71 of file float/motor.h.